SocketFlow.Status (Java SE 14 & JDK 14)
Description: declaration: module: jdk.net, package: jdk.net, class: SocketFlow, enum: Status
Keywords: jdk.net.SocketFlow.Status class

Module jdk.net
Package jdk.net

# Enum SocketFlow.Status

java.lang.Object
java.lang.Enum<SocketFlow.Status>
jdk.net.SocketFlow.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<SocketFlow.Status>`, `Constable`

Enclosing class:
  SocketFlow

    @Deprecated(since="14",
                forRemoval=true)
    public static enum SocketFlow.Status
    extends Enum<SocketFlow.Status>

Deprecated, for removal: This API element is subject to removal in a future version.
This is supported only on Solaris. Due to deprecation of Solaris port, this enum is also deprecated.
Enumeration of the return values from the SO_FLOW_SLA socket option. Both setting and getting the option return one of these statuses, which reflect the state of socket's flow.

Since:
  1.8

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ALREADY_CREATED` | Deprecated, for removal: This API element is subject to removal in a future version. A flow already exists with identical attributes.
  `IN_PROGRESS` | Deprecated, for removal: This API element is subject to removal in a future version. A flow is being created.
  `NO_PERMISSION` | Deprecated, for removal: This API element is subject to removal in a future version. Caller has no permission to create flow.
  `NO_STATUS` | Deprecated, for removal: This API element is subject to removal in a future version. Set or get socket option has not been called yet.
  `NOT_CONNECTED` | Deprecated, for removal: This API element is subject to removal in a future version. Flow can not be created because socket is not connected.
  `NOT_SUPPORTED` | Deprecated, for removal: This API element is subject to removal in a future version. Flow creation not supported for this socket.
  `OK` | Deprecated, for removal: This API element is subject to removal in a future version. Flow successfully created.
  `OTHER` | Deprecated, for removal: This API element is subject to removal in a future version. Some other unspecified error.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static SocketFlow.Status` | `valueOf​(String name)` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the enum constant of this type with the specified name.
  `static SocketFlow.Status[]` | `values()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_STATUS

    public static final SocketFlow.Status NO_STATUS
    Deprecated, for removal: This API element is subject to removal in a future version.
    Set or get socket option has not been called yet. Status values can only be retrieved after calling set or get.

  - ### OK

    public static final SocketFlow.Status OK
    Deprecated, for removal: This API element is subject to removal in a future version.
    Flow successfully created.

  - ### NO_PERMISSION

    public static final SocketFlow.Status NO_PERMISSION
    Deprecated, for removal: This API element is subject to removal in a future version.
    Caller has no permission to create flow.

  - ### NOT_CONNECTED

    public static final SocketFlow.Status NOT_CONNECTED
    Deprecated, for removal: This API element is subject to removal in a future version.
    Flow can not be created because socket is not connected.

  - ### NOT_SUPPORTED

    public static final SocketFlow.Status NOT_SUPPORTED
    Deprecated, for removal: This API element is subject to removal in a future version.
    Flow creation not supported for this socket.

  - ### ALREADY_CREATED

    public static final SocketFlow.Status ALREADY_CREATED
    Deprecated, for removal: This API element is subject to removal in a future version.
    A flow already exists with identical attributes.

  - ### IN_PROGRESS

    public static final SocketFlow.Status IN_PROGRESS
    Deprecated, for removal: This API element is subject to removal in a future version.
    A flow is being created.

  - ### OTHER

    public static final SocketFlow.Status OTHER
    Deprecated, for removal: This API element is subject to removal in a future version.
    Some other unspecified error.

- ## Method Details

  - ### values

    public static SocketFlow.Status[] values()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SocketFlow.Status valueOf​(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null